Bug 180186 - [PATCH] sysutils/rubygem-chef: update to 11.4.4
Summary: [PATCH] sysutils/rubygem-chef: update to 11.4.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-02 02:20 UTC by Steve Wills
Modified: 2013-07-19 18:20 UTC (History)
1 user (show)

See Also:


Attachments
rubygem-chef-11.4.4.patch (2.69 KB, patch)
2013-07-02 02:20 UTC, Steve Wills
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2013-07-02 02:20:00 UTC
- Update to 11.4.4

Port maintainer (renchap@cocoa-x.com) is cc'd.

Generated with FreeBSD Port Tools 0.99_7 (mode: update, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2013-07-02 02:20:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ruby

ruby@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-07-02 02:20:08 UTC
Maintainer of sysutils/rubygem-chef,

Please note that PR ports/180186 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/180186

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-07-02 02:20:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Steve Wills freebsd_committer 2013-07-11 20:46:23 UTC
Responsible Changed
From-To: ruby->swills

I'll take it.
Comment 5 Steve Wills freebsd_committer 2013-07-19 18:12:19 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 6 dfilter service freebsd_committer 2013-07-19 18:12:24 UTC
Author: swills
Date: Fri Jul 19 17:12:05 2013
New Revision: 323318
URL: http://svnweb.freebsd.org/changeset/ports/323318

Log:
  - Update to 11.4.4
  
  PR:		ports/180186
  Approved by:	maintainer timeout (renchap@cocoa-x.com, >2 weeks)

Modified:
  head/sysutils/rubygem-chef/Makefile
  head/sysutils/rubygem-chef/distinfo

Modified: head/sysutils/rubygem-chef/Makefile
==============================================================================
--- head/sysutils/rubygem-chef/Makefile	Fri Jul 19 17:09:44 2013	(r323317)
+++ head/sysutils/rubygem-chef/Makefile	Fri Jul 19 17:12:05 2013	(r323318)
@@ -2,29 +2,25 @@
 # $FreeBSD$
 
 PORTNAME=	chef
-PORTVERSION=	10.24.0
+PORTVERSION=	11.4.4
 CATEGORIES=	sysutils
 MASTER_SITES=	RG
 
 MAINTAINER=	renchap@cocoa-x.com
 COMMENT=	A systems integration framework. Client part
 
-RUN_DEPENDS=	rubygem-bunny>=0.6.0:${PORTSDIR}/net/rubygem-bunny \
-		rubygem-erubis>=0:${PORTSDIR}/www/rubygem-erubis \
+RUN_DEPENDS=	rubygem-erubis>=0:${PORTSDIR}/www/rubygem-erubis \
 		rubygem-highline>=1.6.9:${PORTSDIR}/devel/rubygem-highline \
 		rubygem-json>=1.4.4:${PORTSDIR}/devel/rubygem-json146 \
-		rubygem-mixlib-authentication>=1.1.0:${PORTSDIR}/devel/rubygem-mixlib-authentication \
-		rubygem-mixlib-cli>=1.1.0:${PORTSDIR}/devel/rubygem-mixlib-cli \
+		rubygem-mixlib-authentication>=1.3.0:${PORTSDIR}/devel/rubygem-mixlib-authentication \
+		rubygem-mixlib-cli>=1.3.0:${PORTSDIR}/devel/rubygem-mixlib-cli \
 		rubygem-mixlib-config>=1.1.2:${PORTSDIR}/devel/rubygem-mixlib-config \
 		rubygem-mixlib-log>=1.3.0:${PORTSDIR}/devel/rubygem-mixlib-log \
 		rubygem-mixlib-shellout>=1.0.0:${PORTSDIR}/devel/rubygem-mixlib-shellout \
-		rubygem-moneta>=0:${PORTSDIR}/devel/rubygem-moneta \
-		rubygem-net-ssh>=2.2.2:${PORTSDIR}/security/rubygem-net-ssh \
+		rubygem-net-ssh>=2.6:${PORTSDIR}/security/rubygem-net-ssh \
 		rubygem-net-ssh-multi>=1.1.0:${PORTSDIR}/security/rubygem-net-ssh-multi \
 		rubygem-ohai>=0.6.0:${PORTSDIR}/sysutils/rubygem-ohai \
 		rubygem-rest-client>=1.0.4:${PORTSDIR}/www/rubygem-rest-client \
-		rubygem-treetop>=1.4.9:${PORTSDIR}/devel/rubygem-treetop \
-		rubygem-uuidtools>=0:${PORTSDIR}/devel/rubygem-uuidtools \
 		rubygem-yajl-ruby>=1.1.0:${PORTSDIR}/devel/rubygem-yajl-ruby
 
 USE_RUBY=		yes
@@ -35,12 +31,14 @@ RUBYGEM_AUTOPLIST=	yes
 PLIST_FILES=	bin/chef-client \
 		bin/chef-solo \
 		bin/shef \
-		bin/knife
+		bin/knife \
+		bin/chef-apply \
+		bin/chef-shell
 
 MAN1=		knife.1 knife-bootstrap.1 knife-client.1 knife-configure.1 knife-cookbook.1 \
 		knife-cookbook-site.1 knife-data-bag.1 knife-environment.1 knife-exec.1 \
 		knife-index.1 knife-node.1 knife-role.1 knife-search.1 knife-ssh.1 knife-status.1 \
-		knife-tag.1 shef.1
+		knife-tag.1
 MAN8=		chef-client.8 chef-solo.8
 
 SUB_LIST=	RUBY=${RUBY}

Modified: head/sysutils/rubygem-chef/distinfo
==============================================================================
--- head/sysutils/rubygem-chef/distinfo	Fri Jul 19 17:09:44 2013	(r323317)
+++ head/sysutils/rubygem-chef/distinfo	Fri Jul 19 17:12:05 2013	(r323318)
@@ -1,2 +1,2 @@
-SHA256 (rubygem/chef-10.24.0.gem) = 896945deb09cb35ea370186e7f5380e7b61728ce85dfd7ee79de50506a516a89
-SIZE (rubygem/chef-10.24.0.gem) = 823296
+SHA256 (rubygem/chef-11.4.4.gem) = c929e25043c551901bb5ae12518da2c8425291992caa3b0118233fa64f563990
+SIZE (rubygem/chef-11.4.4.gem) = 846848
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"